import urllib.request
import os.path
import codecs
import os
import glob

def download_file(url):
    filename = os.path.basename(url) or 'index.html'
    urllib.request.urlretrieve(url, filename)

def extract_words(htm_name, outfile, line_num):
    fout =  codecs.open (outfile, 'w', 'utf-8')
    for i in range(line_num, line_num + 1000):
        fin = open(htm_name, 'r')
        Str = fin.readlines()[i]
        Str = Str.replace('<br>','')
        Str = Str.replace('</font>','')
        Str = Str.replace('</td>','')
        Str = Str.replace('<font size="2">','').strip()

        if Str == 'God':
           Str = 'god'
        elif Str == 'TRUE':
           Str = 'true'
        elif Str == 'OK':
           Str = 'okay'

#        print (Str)
        fout.write (Str + ("\n"))
        fin.close
    fout.close


if __name__ == '__main__':
    print ('Started downloading ... Please wait.')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l01_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l02_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l03_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l04_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l05_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l06_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l07_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l08_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l09_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l10_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l11_list.htm')
    download_file('http://web.archive.org/web/20081219085629/http://www.alc.co.jp:80/goi/svl_l12_list.htm')

    extract_words('svl_l01_list.htm', 'svl_l01.txt', 161)
    extract_words('svl_l02_list.htm', 'svl_l02.txt', 161)
    extract_words('svl_l03_list.htm', 'svl_l03.txt', 161)
    extract_words('svl_l04_list.htm', 'svl_l04.txt', 161)
    extract_words('svl_l05_list.htm', 'svl_l05.txt', 161)
    extract_words('svl_l06_list.htm', 'svl_l06.txt', 161)
    extract_words('svl_l07_list.htm', 'svl_l07.txt', 161)
    extract_words('svl_l08_list.htm', 'svl_l08.txt', 161)
    extract_words('svl_l09_list.htm', 'svl_l09.txt', 161)
    extract_words('svl_l10_list.htm', 'svl_l10.txt', 161)
    extract_words('svl_l11_list.htm', 'svl_l11.txt', 161)
    extract_words('svl_l12_list.htm', 'svl_l12.txt', 161)

    for file in glob.glob("*_list.htm"):
        os.remove(file)

    print ('\n' + 'Created SVL files.')